// Domob JavaScript Interface

var domobjs = window.domobjs = {};
mraidbridge = window.mraidbridge = {};

mraidbridge.executeNativeCall = function(command) {
	var call = 'domobjs://' + command;

	var key, value;
	var isFirstArgument = true;

	for ( var i = 1; i < arguments.length; i += 2) {
		key = arguments[i];
		value = arguments[i + 1];

		if (value === null)
			continue;

		if (isFirstArgument) {
			call += '?';
			isFirstArgument = false;
		} else {
			call += '&';
		}

		call += key + '=' + escape(value);
	}

	location.href = call;
};

domobjs.addAsset = function(URL, alias) {
	URL = encodeURIComponent(URL);
	mraidbridge.executeNativeCall('addAsset', 'url', URL, 'alias', alias);
};

domobjs.getAsset = function(alias) {

};

domobjs.assetReady = function(alias, path) {
	var img = document.getElementById(alias);
	img.setAttribute("src", "file://" + path);
};

domobjs.removeAsset = function(alias) {
	mraidbridge.executeNativeCall('removeAsset', 'alias', alias);
};
